Name:		mirrormagic
Version:	3.3.1
Release:	%mkrel 1
Summary:	A puzzle game with mirrors and ray of lights
License:	GPLv2+
Group:		Games/Puzzles
URL:		https://www.artsoft.org/mirrormagic/
# This is a rebuild of the tarball with the binaries
Source0:	https://www.artsoft.org/RELEASES/linux/mirrormagic/%{name}-%{version}-linux.tar.gz
Source1:	%{name}-16x16.png
Source2:	%{name}-32x32.png
Source3:	%{name}-48x48.png

BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_net)

%description
This game was first released as "Mindbender" in the year 1989 on the Amiga
(with ports on other computer systems) and is in fact a clone of the C64
game "Deflektor".

%prep
%autosetup

%build
%make_build PROGBASE=%{name} \
            BASE_PATH=%{_gamesdatadir}/%{name} \
            EXTRA_CFLAGS="%{optflags}" \
            EXTRA_LDFLAGS="%{ldflags}"

%install
# Install stuff
install -D -m755 %{name} %{buildroot}%{_gamesbindir}/%{name}.wrapped
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a graphics levels sounds music %{buildroot}%{_gamesdatadir}/%{name}

cat << EOF > %{buildroot}%{_gamesbindir}/%{name}
#!/bin/sh
cd %{_gamesdatadir}/%{name}
exec %{_gamesbindir}/%{name}.wrapped
EOF
chmod 755 %{buildroot}%{_gamesbindir}/%{name}

# Menu
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
[Desktop Entry]
Name=Mirror Magic
Comment=Puzzle game where you steer a beam of light using mirrors
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Type=Application
Categories=Game;LogicGame;
EOF

# Icon
install -D -m0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D -m0644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m0644 %{SOURCE3} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%files
%doc CREDITS
%license COPYING
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Wed Jan 31 2024 daviddavid <daviddavid> 3.3.1-1.mga9
+ Revision: 2036464
- new version: 3.3.1
- fix games datadir location (mga#32768)

* Thu Jun 08 2023 daviddavid <daviddavid> 3.3.0-1.mga9
+ Revision: 1961337
- new version: 3.3.0
- enable debug packages

* Thu Mar 16 2023 kekepower <kekepower> 3.2.1-1.mga9
+ Revision: 1949484
- Update to version 3.2.1

* Fri Apr 01 2022 umeabot <umeabot> 3.0.0-4.mga9
+ Revision: 1839868
- Mageia 9 Mass Rebuild

* Sun Aug 23 2020 joequant <joequant> 3.0.0-3.mga8
+ Revision: 1618121
- fix gcc10 build
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Fri Feb 14 2020 umeabot <umeabot> 3.0.0-2.mga8
+ Revision: 1519460
- Mageia 8 Mass Rebuild

* Tue Oct 16 2018 zezinho <zezinho> 3.0.0-1.mga7
+ Revision: 1321198
- new version 3.0.0 - build against SDL2

* Sun Sep 23 2018 umeabot <umeabot> 2.0.2-13.mga7
+ Revision: 1299561
- Mageia 7 Mass Rebuild

* Mon Feb 15 2016 umeabot <umeabot> 2.0.2-12.mga6
+ Revision: 961433
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 danf <danf> 2.0.2-11.mga6
+ Revision: 895632
- Added noinline.patch to fix build on gcc 5.2
  Cleaned up spec file

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-10.mga5
+ Revision: 747723
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-9.mga5
+ Revision: 682533
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.2-8.mga4
+ Revision: 507972
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0.2-7.mga3
+ Revision: 360113
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 09 2011 stormi <stormi> 2.0.2-6.mga2
+ Revision: 121423
- bump release so that it's higher than that in mageia 1

* Mon Jun 13 2011 zezinho <zezinho> 2.0.2-5.mga2
+ Revision: 105920
- imported package mirrormagic


* Sat Jan 22 2011 Funda Wang <fwang@mandriva.org> 2.0.2-5mdv2011.0
+ Revision: 632220
- fix str fmt

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Sep 06 2008 Adam Williamson <awilliamson@mandriva.org> 2.0.2-4mdv2009.0
+ Revision: 281780
- drop an unnecessary commented line
- fd.o icons
- macros style
- one buildrequires per line
- new license policy
- add debian-gcc4.patch: from Debian, fix build with GCC 4.x
- drop unnecessary defines

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix no-buildroot-tag
    - auto convert menu to XDG
    - kill invalid packager tag
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - use %%mkrel
    - import mirrormagic

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas


* Fri Nov 19 2004 Olivier Blin <blino@mandrake.org> 2.0.2-2mdk
- birthday rebuild

* Wed Oct 15 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.2-1mdk
- 2.0.2
- drop P0, fixed upstream
- change summary macro to avoid possible conflicts if we were to build debug package
- macroize
- cosmetics
- added menu item and icons
- override OPTIONS variable in stead of modifying makefile

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-4mdk
- rebuild

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.1-3mdk
- recompile against new vorbis stuff
- fix non-standard-group
- fix non-readable

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.1-2mdk
- rebuild for new alsa

* Tue Apr  9 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.1-1mdk
- first mdk package
